## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Use forge macros to pull from GitHub
%global forgeurl https://github.com/python-rope/rope

Name:           python-rope
Version:        1.13.0
Release:        %autorelease
Summary:        Python Code Refactoring Library
%global tag %{version}
%forgemeta
License:        LGPL-3.0-or-later
URL:            %forgeurl
Source:         %forgesource
# Fix tests failing with Python 3.13
# https://github.com/python-rope/rope/issues/801
Patch:          %forgeurl/pull/809.patch

BuildArch:      noarch

BuildRequires:  python3-devel


%global _description %{expand:
Rope is the world’s most advanced open source Python refactoring
library (yes, I totally stole that tagline from Postgres).

Most Python syntax up to Python 3.10 is supported. Please file bugs and
contribute patches if you encounter gaps.}

%description %_description


%package -n python3-rope
Summary:        %summary

%description -n python3-rope %_description


%package -n python-rope-doc
Summary:        %summary documentation
Requires:       python3-rope = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n python-rope-doc %{expand:
Documentation for %{summary}.}


%prep
%forgeautosetup -p1

# Remove linter from dev requirements
sed -i '/pytest-cov/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l rope


%check
%pytest -r fEs


%files -n python3-rope -f %{pyproject_files}
%doc docs/README.md *.md


%files -n python-rope-doc
%doc docs/*.rst README.rst


%changelog
## START: Generated by rpmautospec
* Sat May 24 2025 Sandro <devel@penguinpee.nl> - 1.13.0-8
- Backport patch fixing tests (RHBZ#2317224)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.0-6
- Skip more failing tests on Python 3.13

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.0-5
- Remove obsolete workarounds

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 29 2024 Sandro <devel@penguinpee.nl> - 1.13.0-3
- Rebuild for Python 3.13

* Sun Mar 24 2024 Sandro <devel@penguinpee.nl> - 1.13.0-2
- Add Packit config

* Sun Mar 24 2024 Sandro <devel@penguinpee.nl> - 1.13.0-1
- Update to 1.13.0 (RHBZ#2271288)
- Filter linter from dev requirements
- Re-enable all tests again

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12.0-1
- Update to 1.12.0 (close RHBZ#2258938)

* Thu Jan 18 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.0-6
- Include LICENSE manually in F38

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.0-3
- Assert that the .dist-info directory contains a license file

* Sun Nov 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.0-1
- Update to 1.11.0 (close RHBZ#2248025)

* Wed Oct 11 2023 Sandro <devel@penguinpee.nl> - 1.10.0-2
- Include `Contributors` and `CHANGELOG` in main package
- Put all other documentation in `doc` sub package

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1.10.0-1
- Update to 1.10.0 (RHBZ#2058936)

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1.3.0-7
- Whitespace changes

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1.3.0-6
- Clean up BRs

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1.3.0-5
- Update description (follow upstream)

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1.3.0-4
- Use forge macros

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 1.3.0-3
- Add Packit config

* Fri Sep 01 2023 Sandro <devel@penguinpee.nl> - 1.3.0-2
- Update to 1.3.0
- Disable failing tests for now (most succeed)

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-1
- Update to 1.3.0

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.0-1
- Update to 1.2.0

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-1
- Update to 1.1.1

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-1
- Update to 1.0.0

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.0-1
- Update to 0.23.0

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-17
- Stop skipping any tests

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-16
- Update License to SPDX

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-15
- Drop the duplicate license file

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-14
- Mark directory in files-list with a trailing slash

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-13
- Minor spec-file formatting

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-12
- Do not track obsolete patches

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-11
- Do not unnecessarily number sources and patches

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-10
- Eliminate unnecessary spec-file macros

* Mon Aug 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-9
- Don’t use the obsolete zero-argument form of the pypi_source macro

* Fri Jul 28 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.22.0-7
- Backport upstream patch for ast.Str removal in favor of str.Constant
  already deprecated in python 3.8

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.22.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.22.0-2
- Rebuilt for Python 3.11

* Wed Jan 19 2022 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.22.0-1
- Update to 0.22.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.18.0-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 08 2020 Charalampos Stratakis <cstratak@redhat.com> - 0.18.0-1
- Update to 0.18.0 and convert to pyproject macros (rhbz#1886098)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.17.0-4
- Add BR:python3-setuptools

* Wed Jun 03 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.17.0-3
- Add patch to fix failing tests

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.17.0-2
- Rebuilt for Python 3.9

* Tue May 05 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 13 2020 Tuomo Soini <tis@foobar.fi> - 0.16.0-2
- Build with python2 support (#1695212).

* Sat Jan 11 2020 Matěj Cepl <mcepl@cepl.eu> - 0.16.0-1
- Update to the latest upstream release.

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.14.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.14.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Mar 23 2019 Matěj Cepl <mcepl@cepl.eu> - 0.14.0-1
- Update to the latest upstream release.
- Change license from GPLv2+ to LGPLv3+

* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.12.0-2
- Rebuilt to change main python from 3.4 to 3.6

* Mon Feb 11 2019 Matěj Cepl <mcepl@cepl.eu> - 0.12.0-1
- Update to the latest upstream release.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.11.0-2
- Drop python2 package

* Thu Aug 09 2018 Matěj Cepl <mcepl@cepl.eu> - 0.11.0-1
- Upgrade to the latest upstream release
- Remove unnecessary patch

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.10.7-4
- Disable py3 tests temporarily

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.10.7-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Nov 08 2017 Charalampos Stratakis <cstratak@redhat.com> - 0.10.7-1
- Update to 0.10.7.
- Add python3 subpackage.

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.3-3
- Python 2 binary package renamed to python2-rope
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 21 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Matěj Cepl <mcepl@redhat.com> - 0.10.2-4
- Upgrade to the latest upstream release (finally!)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.4-1
- New upstream release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-4.20101213hg1585
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-3.20101213hg1585
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Toshio Kuratomi <toshio@fedoraproject.org> 0.9.3-2.20101213hg1585
- Update to a snapshot to fix https://bugzilla.redhat.com/show_bug.cgi?id=649211

* Wed Sep 8 2010 Toshio Kuratomi <toshio@fedoraproject.org> 0.9.3-1
- Update to upstream 0.9.3.

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Toshio Kuratomi <toshio@fedoraproject.org> 0.9.2-1
- Update to upstream 0.9.2.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 19 2008 Toshio Kuratomi <toshio@fedoraproject.org> 0.9.1-1
- Initial Fedora build

## END: Generated by rpmautospec
